package orderrpcv2

func GetStatus(key string) string {
	statusList := StatusList()
	if _, ok := statusList[key]; ok {
		return statusList[key]
	}
	return ""
}

func StatusList() map[string]string {
	return map[string]string{
		"created":      "已创建",
		"payed":        "已支付",
		"finished":     "已完成",
		"autofinished": "自动完成",
		"cancel":       "取消",
		"autocancel":   "自动取消",
		"closed":       "关闭",
		"shipped":      "已发货",
	}
}
